| gclib 1.34.15 Communications API for Galil controllers and PLCs |

Static Public Member Functions | Static Public Attributes
Examples Class Reference
C#/VB examples

Provides a class of shared constants and methods for gclib's example projects. More...

## Static Public Member Functions
static int | Commands (gclib gclib)
| Demonstrates various uses of GCommand() and basic controller queries. More...
static int | Contour (gclib gclib, string fileA, string fileB)
| Record user's training and plays back training through contour mode. More...
static void | PrintError (gclib gclib, Exception ex)
| Prints the exception to the console and queries the controller for the most recent error message. More...
static int | IP_Assigner (gclib gclib, string serial_num, byte address)
| Assigns controller an IP Adress given a serial number and a 1 byte address. More...
static int | Jog (gclib gclib)
| Puts controller into Jog Mode and accepts user input to adjust the speed. More...
static int | Message (gclib gclib)
| Demonstrates how to receive messages from the controller and detect differences in Trace and crashed code. More...
static int | Motion_Complete (gclib gclib)
| Uses interrupts to track when the motion of controller is completed. More...
static int | Position_Tracking (gclib gclib, int speed)
| Puts controller into Position Tracking Mode and accepts user-entered positions. More...
static int | Record_Position (gclib gclib, string fileA, string fileB)
| Record user's training and saves to a text file. More...
static int | Remote_Client ()
| Accepts user input to publish to list and connect to available servers. More...
static int | Remote_Server (string server_name)
| Accepts user input to publish or remove local gcaps server from the network. More...
static int | Vector_Mode (gclib gclib, string file)
| Puts controller into Vector Mode and accepts a file defining vector points. More...

## Static Public Attributes
const int | GALIL_EXAMPLE_OK = 0
| Examples success code.
const int | GALIL_EXAMPLE_ERROR = -100
| Examples error code.

## Detailed Description

Provides a class of shared constants and methods for gclib's example projects.

For VB.NET, see definition in file examples.vb

Definition at line 15 of file commands.cs.

The documentation for this class was generated from the following files:

- commands.cs
- examples.cs
- contour.cs
- ip_assigner.cs
- jog.cs
- message.cs
- motion_complete.cs
- position_tracking.cs
- record_position.cs
- Remote_Client.cs
- Remote_Server.cs
- vector_mode.cs